×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Mar 2011
    Posts
    8

    Qt SDK 1.1 without Symbian S60 5th Edition?

    Hi!
    I want to experiment some programming with Qt on my mobile phone (Nokia 5228, Symbian S60 5th Edition)
    So, i downloaded qt sdk 1.1 beta from nokia, linux version. I install on Ubuntu 10.10 without any problem.
    But, when i try to make my first application, i don't see any symbian sdk.
    Under Options->Qt4->S60 SDKs i don't have nothing.
    So what i need to install in order to have and Symbian SDK?

    Thanks for any reply!

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    AFAIK, Qt development targeting Symbian is still not supported on Linux.

  3. #3
    Registered User
    Join Date
    Mar 2011
    Posts
    8

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    This is bad, but good to know. Thanks!

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    Quote Originally Posted by petrib View Post
    AFAIK, Qt development targeting Symbian is still not supported on Linux.
    Unless of course if using the remote compiler (see http://doc.qt.nokia.com/qtcreator-sn...-compiler.html)
    Or, if one feels like hacking, http://labs.qt.nokia.com/2010/04/21/...t-using-linux/
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Registered User
    Join Date
    Mar 2011
    Posts
    8

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    Thanks @Itomuta!
    Since i'm at beginning, i will use IDE on windows, until i understand the basic concepts.
    Anyway, i have inside folder where it's installed Qt SDK, an folder named Symbian with some others folders and files inside (Symbian^1 and Symbian^3).
    What are they, since do not have any symbian sdk available? Or need to be added after installation?

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    The Qt SDK for Windows does include Symbian SDKs. They are needed for their libraries and toolchains, and also to support use of some Symbian APIs from Qt applications.
    They are not the complete SDKs however (e.g. have no Symbian OS emulator, nor do they have a target for it) so if you are interested in Symbian C++ application development as well you will need to download and install the full SDKs.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Registered User
    Join Date
    Mar 2011
    Posts
    8

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    Probably i'm not clear. Folders are installed on linux.

  8. #8
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    Sorry, I thought you changed your mind and switched to Windows already. I have not used the SDK in Linux, and I'm surprised that it has any Symbian specific content. Well, it could be that it is just the SIS files required for installation on your test devices (Qt libraries), which are still needed so that you can run the apps received from the smart installer.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  9. #9
    Registered User
    Join Date
    Mar 2011
    Posts
    8

    Re: Qt SDK 1.1 without Symbian S60 5th Edition?

    Yes, i think it's like u say. Anyway, i go on win, until will better understand all stuff.
    Thanks for your time!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×